//sorry I started using kconfig xt and got lost in space with it.
#ifndef SETTINGS_H
#define SETTINGS_H

#include <kconfigskeleton.h>

class Settings : public KConfigSkeleton
{
  public:

    static Settings *self();
    ~Settings();

    /**
      Get Defines the index directory 
    */
    static
    QString indexLocation()
    {
      return self()->mIndexLocation;
    }


    static
    void writeConfig()
    {
      static_cast<KConfigSkeleton*>(self())->writeConfig();
    }
  protected:
    Settings();
    static Settings *mSelf;


    // Index
    QString mIndexNames;
    bool mAutoIndexLocation;
    QString mIndexLocation;
    bool mBoolMetaData;
    bool mBoolContent;
    QStringList mIncludeItems;
    bool mIncludeSubFolders;
    QStringList mExcludeItems;
    bool mExcludeSubFolders;
    bool mAddToIndex;
    bool mEraseIndex;
    bool mUpdateIndex;

  private:
};

#endif

